classification
Title: message_body argument of HTTPConnection.endheaders is undocumented
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: orsenthil Nosy List: beardedp, docs@python, eric.araujo, ezio.melotti, orsenthil, petri.lehtinen, python-dev
Priority: normal Keywords: patch

Created on 2011-09-30 08:09 by petri.lehtinen, last changed 2011-10-06 15:03 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
issue13073.patch beardedp, 2011-10-02 07:32 review
Messages (10)
msg144676 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-09-30 08:09
The argument is essential to avoid slowdown with delayed ACKs and the Nagle algorithm, so it should be documented. It was added when fixing issue 4336. I believe that it's new in Python 2.7.
msg144759 - (view) Author: Ben Hayden (beardedp) * Date: 2011-10-02 07:32
I added in docs for the method from the actual method docstring from the http.client module.
msg144796 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-10-02 23:39
This is fixed the following changesets.

changeset a3f2dba93743
changeset 1ed413b52af3
changeset 277688052c5a

Thanks for the patch, Ben Hayden.
msg144944 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2011-10-05 10:30
The 2.7 documentation should mention the version in which the argument was added. I believe it was 2.7.
msg144945 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2011-10-05 10:32
I also left some comments on the review page that should be addressed.
msg144951 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-10-05 15:27
New changeset befa7b926aad by Senthil Kumaran in branch '3.2':
Issue  #13073 - Address the review comments made by Ezio.
http://hg.python.org/cpython/rev/befa7b926aad

New changeset a7b7ba225de7 by Senthil Kumaran in branch 'default':
merge from 3.2. Issue  #13073 - Address the review comments made by Ezio.
http://hg.python.org/cpython/rev/a7b7ba225de7
msg144952 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2011-10-05 15:53
New changeset 64fae6f7b64c by Senthil Kumaran in branch '2.7':
Issue13073 - Address review comments and add versionchanged information in the docs.
http://hg.python.org/cpython/rev/64fae6f7b64c
msg144953 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-10-05 15:54
I believe, I have addressed all the comments. Closing this report.
msg144999 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2011-10-06 11:38
It is IMO a source of confusion that the doc talk about a string instead of “a bytes object” (3.x) or “a string (str)” (2.x, unless unicode is supported too).
msg145018 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2011-10-06 15:03
Yes, I agree. I think, it can be clarified at that point too. Because.
in 2.7 the string is being checked and in 3.3 the message_body is
checked if it's instance of bytes.  But, I think, it should be
carefully worded (aligned with how other socket message args are
mentioned).
History
Date User Action Args
2011-10-06 15:03:03orsenthilsetmessages: + msg145018
2011-10-06 11:38:11eric.araujosetnosy: + eric.araujo
messages: + msg144999
2011-10-05 15:54:12orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg144953
2011-10-05 15:53:12python-devsetmessages: + msg144952
2011-10-05 15:27:52python-devsetnosy: + python-dev
messages: + msg144951
2011-10-05 10:32:28ezio.melottisetnosy: + ezio.melotti
messages: + msg144945
2011-10-05 10:30:42petri.lehtinensetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg144944
2011-10-02 23:39:31orsenthilsetstatus: open -> closed
resolution: fixed
messages: + msg144796

stage: needs patch -> resolved
2011-10-02 07:32:20beardedpsetfiles: + issue13073.patch

nosy: + beardedp
messages: + msg144759

keywords: + patch
2011-09-30 09:23:50orsenthilsetassignee: docs@python -> orsenthil

nosy: + orsenthil
2011-09-30 08:09:02petri.lehtinencreate